## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iDebugPrintQuestSeqOpFactory Struct Reference

This interface is implemented by the seqop that prints debug messages on standard output. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions

virtual void | SetMessageParameter (const char *msg)=0
| Set the message parameter to print (either a message string or a parameter if it starts with '$').

## Detailed Description

This interface is implemented by the seqop that prints debug messages on standard output.

You can query this interface from the seqop factory if you want to manually control this factory as opposed to loading its definition from an XML document.

The predefined name of this seqop type is 'cel.questseqop.debugprint'.

In XML, factories recognize the following attributes on the 'op' node:

- message: the message to print.

Definition at line 1664 of file questmanager.h.

## Member Function Documentation

virtual void iDebugPrintQuestSeqOpFactory::SetMessageParameter | ( | const char * | msg | ) | `[pure virtual]`

Set the message parameter to print (either a message string or a parameter if it starts with '$').

The documentation for this struct was generated from the following file:

- tools/questmanager.h